#include<iostream>

using namespace std;

int main() {

int n, k, i, x, karta;
cin>>n>>k;
int a[n];
for(i=0; i<n; i++){
	cin>>a[i]
	if(k==a[i])
	x=i;
}
if(x==n-1){
	karta=a[0];
}
else{
	karta=a[x+1];
}
cout<<karta;

return 0;
}